> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # List attribute client > Used to get information on attributes associated with users or devices.

For more information on attributes and tags review our dedicated guide.


## Returned attributes

- tag_id int ID of tag
- device_id int ID of the device that attribute is associated with
- value mixed value of the attribute if set; else null
- update_time int timestamp the attribute was last updated

## OpenAPI ````json POST /list/tag-attribute-client { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/list/tag-attribute-client": { "post": { "summary": "List attribute client", "description": "Used to get information on attributes associated with users or devices.\n\n
\n\n

For more information on attributes and tags review our dedicated guide.

\n\n
\n\n## Returned attributes\n\n

- tag_id int ID of tag
\n- device_id int ID of the device that attribute is associated with
\n- value mixed value of the attribute if set; else null
\n- update_time int timestamp the attribute was last updated

", "operationId": "tag-list-attribute-client", "deprecated": "false", "requestBody": { "required": "true", "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "select": { "type": "array", "description": "Select what attributes to return, eg. `[\"create_time\", \"tag_id\", \"device_id\"]`", "items": { "type": "string" } }, "condition": { "type": "string", "format": "json", "description": "Filter the results based on some criteria, eg. `[ [\"create_time\", \">\", 1432303411] ]`" }, "limit": { "type": "integer", "format": "int32", "description": "Used with *offset* for pagination, eg. `\"limit\": 50, \"offset\": 0` returns a max of 50 results starting at position 0" }, "offset": { "type": "integer", "format": "int32", "description": "Used with *limit* for pagination" } } }, "examples": { "Get all attributes for a specific device": { "value": { "apptoken": "YOUR_APPTOKEN", "condition": [ [ "device_id", "=", "55555" ] ] } }, "Get a specific attribute for a specific device": { "value": { "apptoken": "YOUR_APPTOKEN", "condition": [ [ "device_id", "=", "55555" ], [ "tag_id", "=", "55555555" ] ] } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "data": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "integer", "example": "7", "default": "0" }, "project_id": { "type": "string", "example": "PROJECT_ID" }, "device_id": { "type": "integer", "example": "1631352398", "default": "0" }, "tag_id": { "type": "integer", "example": "43529467", "default": "0" }, "value": { "type": "string", "example": "true" }, "update_time": { "type": "integer", "example": "1605097393", "default": "0" } } } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "data": [ { "id": "7", "project_id": "PROJECT_ID", "device_id": "1631352398", "tag_id": "43529467", "value": "true", "update_time": "1605097393" } ] } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "Tag Methods" ] } } } } ````